Bug 1024600 - glusterfsd does not release a file.
glusterfsd does not release a file.
Status: CLOSED NEXTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.4.0
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 23:36 EDT by hiro-su
Modified: 2015-11-03 18:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-30 01:16:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hiro-su 2013-10-29 23:36:42 EDT
Description of problem:
-----------------------
glusterfsd does not release a file,

[server(server1) info]:
# glusterfs --version
glusterfs 3.4.0 built on Jul 17 2013 01:31:52

# gluster volume info
Volume Name: d01r1
Type: Distribute
Volume ID: 9485c9a8-dfe4-435b-a27d-38ef6d7c2729
Status: Started
Number of Bricks: 1
Transport-type: tcp
Bricks:
Brick1: server1:/var/service/gluster/fs/d01r01

# ls /var/service/gluster/fs/d01r01
total 0

[client(client1) info]:
# mount | grep glusterfs
server1:/d01r1 on /mnt/d01r1 type fuse.glusterfs (rw,relatime,user_id=0,group_id=0,default_permissions,allow_other,max_read=131072)

# ls /mnt/d01r1
total 0

[execute client code]:
# cd /mnt/d01r1
# for i in `seq 4`; do dd if=/dev/zero of=mogera$i bs=102 count=102; done; mv -f * /tmp

[then server]:
# lsof -c glsuterfsd | grep mogera
glusterfs 877 root   15r   REG                8,0    10404 2147483721 /var/service/dplat/var/gluster/fs/d01r01/mogera1 (deleted)
glusterfs 877 root   16r   REG                8,0    10404 2147483723 /var/service/dplat/var/gluster/fs/d01r01/mogera2 (deleted)
glusterfs 877 root   17r   REG                8,0    10404 2147483725 /var/service/dplat/var/gluster/fs/d01r01/mogera3 (deleted)
glusterfs 877 root   18r   REG                8,0    10404 2147483727 /var/service/dplat/var/gluster/fs/d01r01/mogera4 (deleted)

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
3.4.0

How reproducible:
-----------------
always

Steps to Reproduce:
-------------------
1.create a plain volume
2.mount a plain volume
3.execute "for i in `seq 4`; do dd if=/dev/zero of=mogera$i bs=102 count=102; done; mv -f * /tmp"

Actual results:
---------------
glusterfsd does not release a file.

Expected results:
-----------------
release a file.

Additional info:
----------------
This problem does not exist in version 3.3.1.
Comment 1 Vijay Bellur 2013-10-30 00:05:45 EDT
Can you please try by disabling open-behind? open-behind can be disabled by:

#gluster volume set d01r1 open-behind off

If this addresses the problem, a fix is available in 3.4.1.
Comment 2 hiro-su 2013-10-30 00:14:41 EDT
(In reply to Vijay Bellur from comment #1)
> Can you please try by disabling open-behind? open-behind can be disabled by:
> 
> #gluster volume set d01r1 open-behind off
> 
> If this addresses the problem, a fix is available in 3.4.1.

Thanks!
I'll try "pen-behind off" and glusterfs version 3.4.1.
Comment 3 hiro-su 2013-10-30 01:16:50 EDT
> #gluster volume set d01r1 open-behind off
It solved at "open-behind off" at version 3.4.0.

> If this addresses the problem, a fix is available in 3.4.1.
I checked the fix at version 3.4.1.

Thanks for your help.
Comment 4 hiro-su 2013-10-30 01:52:56 EDT
http://www.gluster.org/download/
Latest Version: GlusterFS 3.4 (ver. 3.4.0 – July 14, 2013)

Is it possibly ver. 3.4.1?
Comment 5 Vijay Bellur 2013-10-30 01:55:39 EDT
(In reply to hiro-su from comment #4)
> http://www.gluster.org/download/
> Latest Version: GlusterFS 3.4 (ver. 3.4.0 – July 14, 2013)
> 
> Is it possibly ver. 3.4.1?

Yes, this should be 3.4.1. We will have it fixed.
Comment 6 Vijay Bellur 2013-10-30 02:01:10 EDT
(In reply to Vijay Bellur from comment #5)
> (In reply to hiro-su from comment #4)
> > http://www.gluster.org/download/
> > Latest Version: GlusterFS 3.4 (ver. 3.4.0 – July 14, 2013)
> > 
> > Is it possibly ver. 3.4.1?
> 
> Yes, this should be 3.4.1. We will have it fixed.

and thanks for letting us know!

Note You need to log in before you can comment on or make changes to this bug.